Inspect

Get memory

Read one memory by id, including its canonical body, lifecycle state, and every scope it is placed in. Archived memories are returned.

Base URL
GET
/api/public/v1/memories/{memory_id}

Read one memory by id, including its canonical body, lifecycle state, and every scope it is placed in. Archived memories are returned.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

Path Parameters

memory_id*string

Response Body

Memory details

application/json
  1. response
data*
Example Request
curl -X GET 'https://your-org.inspect.com/api/public/v1/memories/string'
Example Response
{  "data": {    "memory": {      "id": "string",      "title": "string",      "content": "string",      "description": "string",      "memoryType": "fact",      "archivedAt": "2019-08-24T14:15:22Z",      "archivedReason": "string"    },    "scopes": [      {        "type": "personal",        "id": "string"      }    ]  }}